<?php 
 date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}


		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];
		$cdgcaj= $row["codusu"];


$fechahoy=date("Y-m-d");



$sel_fact="INSERT INTO notas_proveedorestmp (codnota,fecha) VALUE ('','$fechahoy')";
$mysqli->query($sel_fact);
$codnotatmp=$mysqli-> insert_id ; 

$consulta2 = "DELETE FROM notas_proveedorestmp";
$mysqli->query( $consulta2);



$subexe=0;
$cosart2=0;
$subgra=0;
$importe=0;



////////////////////////////////////   seleciona los datos de la faqctura de referencia  /////////////////////////////////////////////
	
if (!empty($_GET["codnota"])) {

 $codnota=$_GET["codnota"];
 
  $consulta = "SELECT * FROM notas_proveedores WHERE codnota='$codnota'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $marcaborrado = $fila["borrado"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
		 $cdgpro = $fila["cdgpro"];
		$dscpro = $fila["dscpro"];
		 $numnot = $fila["numnot"];
		$numfacafe = $fila["numfacafe"];
		$tipapli = $fila["tipapli"];
		$detnot = $fila["detnot"];
		
		
		if($numnot==0){$numnot="";}
		if($numfacafe==0){$numfacafe="";}
		
		
		
		
		
	$query_tmp = "SELECT * FROM notas_proveedores_lineas WHERE codnota='$codnota' ORDER BY numlinea ASC";

    if ($resultado = $mysqli->query($query_tmp)) 
	$contador=0;
	$baseimponible=0;
    while ($fila1 = $resultado->fetch_assoc()) {
		
        $numlinea  = $fila1["numlinea"];
        $codigo    = $fila1["codigo"];
        $dscart    = $fila1["dscart"];
		$canart    = $fila1["canart"];
		$cosart    = $fila1["cosart"];	
	    $importe   = $fila1["importe"];
	    $impuesto  = $fila1["impuesto"];
		$mondes    = $fila1["mondes"];
		$desfac    = $fila1["desfac"];
		$numlinafe = $fila1["numlinafe"];
		


		
				$sel_insertar="INSERT INTO notas_proveedores_lineastmp (codnotatmp,dscart,numlinea,codigo,canart,cosart,importe,desfac,mondes,impuesto, numlinafe ) VALUES 
		('$codnotatmp','$dscart','$numlinea','$codigo','$canart','$cosart','$importe','$desfac','$mondes','$impuesto','$numlinafe')";
		

		$mysqli->query($sel_insertar);
	
		
	}
	
	

}

?>
<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		var miPopup
		function abreVentana(){

		
			miPopup = window.open("ver_proveedores.php","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
		}	
			
	
		function validarfactura(){
			
				var factura=document.getElementById("numfacafe").value;
			
				if (factura=!"") {
			
					var codigo=document.getElementById("cdgpro").value;
			
							if (codigo=="") {
							alert ("Debe introducir el codigo del proveedor antes de continuar");
							document.getElementById("numfacafe").value="";
							document.getElementById("numfacafe2").value="";
							document.getElementById("salfac").value="";
							document.getElementById("cdgtipven").value="";
	
							} else {
								
							var factura=document.getElementById("numfacafe").value;
							var codigo=document.getElementById("cdgpro").value;
							miPopup = window.open("Comprobar_Factura.php?numfacafe="+factura+"&cdgpro="+codigo, "frame_datos3","width=900,height=90,scrollbars=yes");
			
							document.getElementById("numfacafe2").value="";
							document.getElementById("numfacafe").value="";
							document.getElementById("salfac").value="";
							document.getElementById("cdgtipven").value="";
							document.getElementById("detnot").focus();
							document.getElementById("detnot").select();


					}
					} else {
							
					document.getElementById("detnot").select();
					}
					}
					
		
		function validarproveedor(){
		
		
		
			var codigo=document.getElementById("cdgpro").value;
			var filas=document.getElementById("filas").value;	
	
	
			miPopup = window.open("comprobarproveedor.php?cdgpro="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");


		document.getElementById("numfacafe").value="";
		document.getElementById("numfacafe2").value="";
		document.getElementById("numlinea").value="";
		document.getElementById("cdgbar").value="";
		document.getElementById("dscart").value="";
		document.getElementById("canart").value="";
		document.getElementById("cosart").value="";
		document.getElementById("importe").value="";
		document.getElementById("desfac").value="";
		document.getElementById("mondes").value="";
		document.getElementById("cob_iv").value="";



		}	
		
		
			function ventanaArticulos(){
	
				var factura=document.getElementById("codfactura").value;
			    var codigobarras=document.getElementById("cdgbar").value;
				  
		miPopup = window.open("ver_articulos.php?cdgbar="+codigobarras+"&numfacafe="+factura,"miwin","width=700,height=650,scrollbars=yes");

			actualizar_importe ();
		
			}
		
		function cancelar() {
			location.href="index.php";
		}
		
		function limpiarcaja() {
			document.getElementById("dscpro").value="";
			document.getElementById("cedpro").value="";
		}
		
			function limpiararticulo() {
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("desfac").value="";
			document.getElementById("cosart").value="";
			document.getElementById("importe").value="";
			document.getElementById("canart").value="";
			document.getElementById("mondes").value="";
		}
		
	
		
		function actualizar_importe()		{
		
		
		
				var costo=document.getElementById("cosart").value;
				var cantidad=document.getElementById("canart").value;
				var descuento=document.getElementById("desfac").value;
				var ivporc=document.getElementById("ivporc").value;
				var tarred=document.getElementById("tarred").value;
		
					if (document.getElementById("cob_iv").value == 1) {
			
		          
				
				descuento=descuento/100;
				total=costo*cantidad;	
				descuento=total*descuento;
				total_sin_descuento=total-descuento;
				
				if (tarred > 0  )  {     // si el producto tiene tarifa reducida
				
				tazaimpuesto  = (tarred/100)+1;    // tarifa reducida
				
				} else  {
				
				tazaimpuesto = (ivporc/100)+1;
				
				}
				

				total_con_impuesto=total_sin_descuento * tazaimpuesto;
				impuesto=total_con_impuesto - total_sin_descuento ;
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				
				} else {
					
				descuento=descuento/100;
				total=costo*cantidad;
				descuento=total*descuento; 
			
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
			
			}
			} 
			
			
			
			
			function validararticulo(){
			var canart=document.getElementById("canart").value;
			var codigo=document.getElementById("cdgbar").value;
		  miPopup = window.open("comprobararticulo.php?cdgbar="+codigo+"&canart="+canart,"frame_datos2","width=900,height=90,scrollbars=yes");

		}		
				
			
			
	
			
		function validar_cabecera()
			{
			
		 if (confirm(" Nota de credito Completa ? "))
			
				var mensaje="";
				if (document.getElementById("cdgpro").value=="") mensaje+="  - Código proveedor\n";
				if (document.getElementById("dscpro").value=="") mensaje+="  - Nombre del proveedor\n";
				if (document.getElementById("fecha").value=="") mensaje+="  - Fecha\n";
				if (document.getElementById("numnot").value=="") mensaje+="  - Numero de Nota\n";
				if (document.formulario_lineas.preciotot.value=="") mensaje+="  - Total de la Nota no puede ser 0.00\n";
				if (document.formulario_lineas.preciotot.value=="0.00") mensaje+="  - Total de la Nota no puede ser 0.00\n";
				if (document.formulario_lineas.preciotot.value=="0,00") mensaje+="  - Total de la Nota no puede ser 0.00\n";
				if (document.formulario_lineas.preciotot.value=="0") mensaje+="  - Total de la Nota no puede ser 0.00\n";
	
	
				if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
				} else {
				
				var resultado="ninguno";
 
        var porNombre=document.getElementsByName("aplnot");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }


		
if ((document.formulario.cdgtipven.value=="1") && (resultado==2)) {
		
		   alert("Verifique, Factura de contado Nota de credito no puede ser aplicada a Factura ");		
		
			} else {
			
				aplnot=resultado;
			
			}
	
	
 if  (aplnot==1)  {
		
		
		dscpro.disabled=false;
		document.getElementById("formulario").submit();
			
		 
	 }	
	 
	 
		
 if  (aplnot==2)  {
				
					
						
			     var salact=document.getElementById("salact").value;
				 var preciotot=document.getElementById("preciotot").value;
			 
					var salact=parseFloat(salact);
					var preciotot=parseFloat(preciotot);
					dscpro.disabled=false;

					
					
					
		  if (preciotot > salact) {
				
	      				 alert("Verifique, Nota de credito no puede ser mayor al saldo del Proveedor");
				
	
		
	    } else {
						 		 
		
		document.getElementById("formulario").submit();
				
		 }
		 
	 }

 if  (aplnot==3)  {
				
				
				if (document.getElementById("numfacafe").value=="") {
				 alert("Verifique, Falta el numero de factura para ser aplicada ");
				 document.getElementById("numfacafe").select();	
			
			    } else {
								
			     var salfac=document.getElementById("salfac").value;
				var preciotot=document.getElementById("preciotot").value;
			 
					var salfac=parseFloat(salfac);
					var preciotot=parseFloat(preciotot);
						dscpro.disabled=false;

					
					
					
		  if (preciotot > salfac) {
				
	      				 alert("Verifique, Nota de credito no puede ser mayor al saldo de la Factura ");
						 
	    } else {
						 		 
		
		document.getElementById("formulario").submit();
				
		 }
		 
             }	
				 }	
				
				}
				}
				
		
		
		function validar() 
			{
			
			
			   
			   
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
				if (document.getElementById("cdgbar").value=="") mensaje="  - Código de articulo\n";
				if (document.getElementById("dscart").value=="") mensaje+="  - Descripción del articulo\n";
				
				if (document.getElementById("canart").value=="0.00") mensaje+="  - La Cantidad no puede ser 0.00\n";
	   			if (document.getElementById("canart").value=="0") mensaje+="  - La Cantidad no puede ser 0.00\n";
				if (document.getElementById("cosart").value=="0") mensaje+="  - El Costo no puede ser 0.00\n";
				if (document.getElementById("cosart").value=="0.00") mensaje+="  - EL Costo no puede ser 0.00\n";
				if (document.getElementById("cosart").value=="") { 
					
							mensaje+="  - Falta el Costo\n"; 
						} else {
							if (isNaN(document.getElementById("cosart").value)==true) {
								mensaje+="  - El Costo debe ser numerico\n";
							}
						}
				if (document.getElementById("canart").value=="") 
						{ 
						mensaje+="  - Falta la cantidad\n";
						} else {
							entero=document.getElementById("canart").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
							} else {
									document.getElementById("canart").value=entero;
								}
						}
				if (document.getElementById("desfac").value=="") 
						{ 
						document.getElementById("desfac").value=0 
						} else {
							actualizar_importe();	
							entero=document.getElementById("desfac").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento debe ser numerico\n";
							} else {
								document.getElementById("desfac").value=entero;
							}
						} 
				if (document.getElementById("importe").value=="") mensaje+="  - Falta el Subtotal\n";
				if (document.getElementById("importe").value=="0") mensaje+="  - El subtotal no puede ser 0\n";
				if (document.getElementById("importe").value=="0.00") mensaje+="  - El Subtotal no puede ser 0.00\n";
				if (document.getElementById("importe").value < "0") mensaje+="  - El Subtotal no puede ser menor a  0.00\n";
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
					document.getElementById("cdgbar").focus();
					document.getElementById("cdgbar").select();
				} else {
					document.getElementById("baseimponible").value=parseFloat(document.getElementById("baseimponible").value) + parseFloat(document.getElementById("importe").value);	//
					cambio_cob_iv();
		                dscart.disabled=false;
					
			
						
					
					
					document.getElementById("formulario_lineas").submit();
					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("cosart").value="";
					document.getElementById("canart").value="";
					document.getElementById("importe").value="";
					document.getElementById("desfac").value="";
					document.getElementById("cob_iv").value="";	
					document.getElementById("impuesto").value="";	
			   		document.getElementById("cdgbar").focus();

					
							
				}
			}
			
		function cambio_cob_iv() {
			var original=parseFloat(document.getElementById("baseimponible").value);
			var result=Math.round(original*100)/100 ;
			document.getElementById("baseimponible").value=result;
	
			document.getElementById("baseimpuestos").value= parseFloat(document.getElementById("impuesto"));
			var original1=parseFloat(document.getElementById("baseimpuestos").value);
			var result1=Math.round(original1*100)/100 ;
			document.getElementById("baseimpuestos").value=result1;
			var original2=parseFloat(result + result1);
			var result2=Math.round(original2*100)/100 ;
			document.getElementById("preciototal").value=result2;
			
		}	

//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

	
//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 	
			//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit		
		 validar();	//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
	  
		 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')

         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
	
	///////////////////////////////////////////////////   funcion inicial de radio button///////////
	  ///////////////////////////////
	$(document).ready(function() {
	if(!$("input[name=apinot]:checked").val()) {
		$("#tipo_aplicacion_defecto").prop('checked', 'checked');
	}	
});
	
	
	


function chequea_articulo (cdgbar,dscart,cosart){
	if (cdgbar.value =="101" ) {
		
		
		dscart.disabled=false;
		
		

      } else if (cdgbar.value =="102" ) {
		
	
		dscart.disabled=false;

		
		 } else  {
		

	  		
		dscart.disabled=true;
		

			}
				}
			

        
		
			


//////////////////////////////   Funcion Decimales     ////////////////////////////

function inicio(){		

 document.getElementById("formulario_lineas").submit();
}


function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
////////////////////////////////////////////////////////
		</script>
	    <style type="text/css">
<!--
.Estilo1 {color: #0000CC}
-->
        </style>
</head>
		<body onLoad="nobackbutton(); inicio();">
				<div id="">
			<div id="zonaVentanas">
				<div align="center">

				
					<div class="contenidoFactura2">
				<form id="formulario" name="formulario" method="post" action="guardar_nota_aplicar.php">
					<table class="fuente8" width="100%" cellspacing=2 cellpadding=0 border=0>
						
						<tr>
							<td width="6%">&nbsp;</td>
					      <td width="15%" rowspan="2"><input name="cdgpro"  style='text-align:center;' type="text" class="cajaMedia" id="cdgpro"  autofocus size="6" maxlength="5" Click="limpiarcaja()"   autocomplete= "off"    onChange=" validarproveedor(); " value="<?php echo $cdgpro ?>">
				          <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar proveedor" onMouseOver="style.cursor=cursor"></td>
					      <td width="5%">&nbsp;</td>
					      <td width="22%">&nbsp;</td>					
						  <td width="1%">&nbsp;</td>
						  <td width="8%">&nbsp;</td>
						  <td width="4%" colspan="2">&nbsp;</td>
						  <td width="8%">&nbsp;</td>
						  <td colspan="5"><div align="center"><span class="Estilo1">
						   <input name="cedpro" type="hidden" class="cajaMedia" id="cedpro" size="20" maxlength="15"  disabled=true autocomplete= "off" onFocus="siguienteCampo ='combotipoventa';">
						   <input name="vehpla" class="cajaMedia" id="vehpla"   type="hidden">
					      MODULO NOTA DE CREDITO </span></div></td>
					    </tr>
						<tr>
						  <td>C&oacute;digo </td>
						  <td colspan="2"><input name="dscpro" type="text" class="cajaGrande" id="dscpro"  disabled=true  autocomplete= "off"   onFocus="siguienteCampo ='vehpla';" value="<?php echo  $dscpro ?>" ></td>
						  <td>&nbsp;</td>
						  <td>Aplicar</td>
						  <input NAME="cdgprofac" class="cajaMedia" id="cdgprofac"   type="hidden" >
						  <input NAME="limcre" class="cajaMedia" id="limcre"  type="hidden"    >
				      <?php $hoy=date("d/m/Y"); ?>				   
						  <input NAME="salact" class="cajaMedia" id="salact"  type="hidden"  >
			              <input id="salfac" name="salfac" value=""  type="hidden" >
				          <input id="cdgtipven" name="cdgtipven" value=""  type="hidden" >
				          <input id="codfactura2" name="codfactura2" value=""  type="hidden" >	
                          			
					      <td width="2%">
                          
                          		 <?php if($tipapli==1){ ?>
                           	    <input type="radio" id="aplnot1" name="aplnot"  value="1" checked>
								<?php }else { ?>
                                 <input type="radio" id="aplnot1" name="aplnot"  value="1" > 
                                  <?php }?>
                                   </td>
                                 
                                 
					      <td width="2%">Efectivo</td>

					      <td width="8%">
                          
                           <?php if($tipapli==2){ ?>
                          <input type="radio" id="aplnot2" name="aplnot"  value="2" checked> Saldo
                          <?php }else { ?>
                          <input type="radio" id="aplnot2" name="aplnot"  value="2" > Saldo
                           <?php }?>
                          </td>
                          
                          
					      <td width="3%">
                           <?php if($tipapli==3){ ?>
                          <input type="radio" id="aplnot3" name="aplnot"  value="3" checked >
                           <?php }else { ?>
                           <input type="radio" id="aplnot3" name="aplnot"  value="3"  >
                            <?php }?>
                          </td>
                          
                          
                            <td width="6%"> Factura</td>
                            
				          <td width="10%"><input name="numfacafe" autocomplete="off" type="text" class="cajaGrande" id="numfacafe"  style='text-align:center;'   onFocus="siguienteCampo ='detnot', nombreForm ='formulario';"    onChange=" validarfactura();" value="<?php echo  $numfacafe ?>"></td>
				          <td width="5%">Fecha</td>
				          <td width="7%"><input name="fecha" type="text" class="cajaGrande" id="fecha" size="10" maxlength="10" style='text-align:center;' value="<?php echo $fecha?>" readonly></td>
			          </tr>
					  <tr>
						  <td width="6%">Detalle</td>
                           <td colspan="9"><input name="detnot" type="text" class="cajaGrande" id="detnot"    autocomplete= "off"   onFocus="siguienteCampo ='numnot', nombreForm ='formulario';"  value="<?php echo  $detnot ?>" ></td>
                           <td>Numero</td>
                           <td><input name="numnot" autocomplete="off" type="text" class="cajaGrande" id="numnot"  style='text-align:center;'   onFocus="siguienteCampo ='cdgbar', nombreForm ='formulario_lineas';" value="<?php echo $numnot ?>"   ></td>
                           <td>&nbsp;</td>
                           <td>&nbsp;</td>
                      </table>		
	
											
			  <input id="codnotatmp" name="codnotatmp" value="<?php echo $codnotatmp?>" type="hidden" >
               <input id="codnota" name="codnota" value="<?php echo $codnota?>" type="hidden" >
          
			  <input id="baseimpuestos" name="baseimpuestos" value="<?php echo $baseimpuestos?>" type="hidden">  

			  <input id="baseimponible" name="baseimponible" value="<?php echo $baseimponible?>" type="hidden">
			  <input id="preciototal" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
			  <input id="accion" name="accion" value="alta" type="hidden">
			
			  </form>
				
				<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas_modificar.php" target="frame_lineas">
				  <table class="fuente8" width="100%"  border="0" ID="Table10" >
				<input id="cliexe2" name="cliexe2" value="<?php echo $cliexe?>"  type="hidden" >
				<input id="filas" name="filas" value="<?php echo $filas?>"  type="hidden" >	
				<input id="cdglin" name="cdglin" value="<?php echo $cdglin?>"  type="hidden" >	
				<input id="cdgfam" name="cdgfam" value="<?php echo $cdgfam?>"  type="hidden" >
				<input id="codfactura" name="codfactura" value=""  type="hidden" >
                <input id="numfacafe2" name="numfacafe2" value="<?php echo $numfacafe?>"  type="hidden" >
				<input id="numlinea" name="numlinea" value="<?php echo $numlinea?>"  type="hidden" >
				<input id="preciotot" name="preciotot" value="<?php echo $preciotot?>"  type="hidden" >		
					 <input id="ivporc" name="ivporc" value="" type="hidden">
					 <input name="tarred" type="hidden" value=""   id="tarred"   >		
			 <tr>
	
				 <td >Codigo</td>
                    
			 <td><input name="cdgbar"  type="text"  id="cdgbar"    onChange=" "  onFocus=" siguienteCampo ='desfac';"  autocomplete= "off" onKeyup=""   class="cajaGrande" disabled ></td>
			 <td><img src="../img/search-b-icon (5).png" width="32" height="32" onClick="" onMouseOver="style.cursor=cursor" title="Buscar articulos"></td>
			 <td width="28%"><input  name="dscart" type="text"  id="dscart"  class="cajaGrande"  autocomplete= "off"    onFocus="siguienteCampo ='canart', nombreForm ='formulario_lineas';"   ></td>
			 <td>Cant.</td>
			 <td width="5%"><input name="canart" type="text"  style='text-align:center;' id="canart"  class="cajaGrande" value="1.00"  autocomplete= "off" onChange="actualizar_importe()"  onFocus="siguienteCampo ='cosart', nombreForm ='formulario_lineas';"  ></td>
			 <td>Costo</td>
			 <td width="10%"><input name="cosart" type="text"  style='text-align:right;' id="cosart"  class="cajaGrande" onChange="actualizar_importe()" autocomplete= "off" onFocus="siguienteCampo ='desfac', nombreForm ='formulario_lineas';"   ></td>
			 <td>D.Fac</td>
			 <td width="5%"><input name="desfac" type="text"  style='text-align:center;' id="desfac"  class="cajaGrande" autocomplete= "off"    value="0.00" onChange="actualizar_importe()"  onFocus=" siguienteCampo ='fin';"   ></td>
			 <td>Monto</td>
		
			 <td width="10%"><input name="importe" type="text"  id="importe"  value="0" style='text-align:right;'   class="cajaGrande" readonly></td>
			 <td><img src="../img/Arrow-Down_32x32-32.png" alt="aceptar"  name="fin" width="32" height="32" id="fin" title="Agregar articulo" onClick="validar()" onMouseOver="style.cursor=cursor" border="0"></td>
			 <input id="impuesto" name="impuesto" value="<?php echo $impuesto?>"  type="hidden">
              <input name="cob_iv"  id="cob_iv" value="" type="hidden">
			  <input name="mondes" type="hidden" id="mondes">
			  
				  </tr>
				</table>
			
				<input name="codarticulo" value="<?php echo $codarticulo?>" type="hidden" id="codarticulo">
				
				</div>
				
			
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						
							<td width="9%"><span >CODIGO</span></td>
							<td width="40%"><span >DETALLE</span></td>
							<td width="13%">TAR. RED. </td>
							<td width="11%"><span>CANTIDAD</span></td>
							<td width="8%"><span >PRECIO</span></td>
							<td width="9%"><span>DCTO %</span></td>
							<td width="8%"><span>MONTO</span></td>
							<td width="2%">&nbsp;</td>
						</tr>
				</table>
				<div id="lineaResultado2">
				  <iframe width="100%" height="370" id="frame_lineas" name="frame_lineas" frameborder="0">
                  <ilayer width="100%" height="60" id="frame_lineas" name="frame_lineas"></ilayer>
				  </iframe>
				</div>					
			  </div>
			  <div id="frmBusqueda" style="display:none">
				<table width="25%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">
			  <tr>
			    <td width="27%" class="busqueda">Sub-total</td>
				<td width="73%" align="right"><div align="center">
			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" value=0 align="right" readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">IVA</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value=0 readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">Precio Total</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="preciototal" type="text" id="preciototal" size="12" align="right"  readonly> 
		        </div></td>
			  </tr>
			      <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
				    <input id="codnotatmp" name="codnotatmp" value="<?php echo $codnotatmp?> " >	
                        <input id="codnota" name="codnota" value="<?php echo $codnota?>" type="hidden" >
					
					<input id="preciototal" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
		</table>
			  </div>
				<div id="botonBusquedaAWGP">					
				  <div align="center">
				    <img src="../img/Symbol-Check_48x48-32.png" name="boton" width="48" height="48" border="0" class="aCentro"  id="boton"    onClick=" validar_cabecera(); " onMouseOver="style.cursor=cursor"  disabled="disabled" value="Deshabilitado">
					<img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" border="0" class="aCentro" onClick="cancelar()" onMouseOver="style.cursor=cursor">
				
					    
			      </div>
				</div>
			  		<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
		
        
        			<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
			  </form>
			 </div>
    </div>
		</div>
	</body>
</html>





